Subject: bug#47832: 28.0.50; define-fringe-bitmap and emacs --daemon

From: Gregory Heytings <[email-masked]>
Date: Sat, 17 Apr 2021 11:27:56 +0000

>> This used to work indeed; it worked on GNU/Linux with default 
>> (non-Cairo) builds for Emacs 24 to 27.
>
> And with Emacs 28 it doesn't work in non-Cairo builds?
>

Yes, with Emacs 28 it works with non-Cairo builds.

>> Got it! :-)  The commit I identified is indeed the culprit.  With 
>> USE_CAIRO, gui_init_fringe() is called in x_initialize(); without 
>> USE_CAIRO it isn't.  And gui_init_fringe() had a bug, which should now 
>> be fixed on Windows, too.  Patch attached.
>
> Thanks, but is this really all that needs to be done?  How will 
> gui_init_fringe be called in the non-Cairo builds?  And what about NS?
>

On non-Cairo builds gui_init_finge is not called, the only call to 
gui_init_fringe in xterm.c is inside an #if USE_CAIRO.  And on NS 
gui_init_fringe isn't called either.  I just checked, NS builds are not 
affected by this bug.